Bug 1561909 - [abrt] fwupd: fu_engine_plugins_coldplug(): fwupd killed by SIGSEGV
Summary: [abrt] fwupd: fu_engine_plugins_coldplug(): fwupd killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fwupd
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d82fbe51113eceb92daa1906bb7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-29 07:24 UTC by Johannes Berg
Modified: 2019-01-08 02:40 UTC (History)
4 users (show)

Fixed In Version: fwupd-1.2.3-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-08 02:40:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (32.88 KB, text/plain)
2018-03-29 07:24 UTC, Johannes Berg
no flags Details
File: cgroup (293 bytes, text/plain)
2018-03-29 07:24 UTC, Johannes Berg
no flags Details
File: core_backtrace (8.72 KB, text/plain)
2018-03-29 07:24 UTC, Johannes Berg
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2018-03-29 07:24 UTC, Johannes Berg
no flags Details
File: dso_list (8.61 KB, text/plain)
2018-03-29 07:24 UTC, Johannes Berg
no flags Details
File: environ (143 bytes, text/plain)
2018-03-29 07:24 UTC, Johannes Berg
no flags Details
File: exploitable (82 bytes, text/plain)
2018-03-29 07:24 UTC, Johannes Berg
no flags Details
File: limits (1.29 KB, text/plain)
2018-03-29 07:24 UTC, Johannes Berg
no flags Details
File: maps (39.45 KB, text/plain)
2018-03-29 07:24 UTC, Johannes Berg
no flags Details
File: mountinfo (5.09 KB, text/plain)
2018-03-29 07:24 UTC, Johannes Berg
no flags Details
File: open_fds (1.70 KB, text/plain)
2018-03-29 07:24 UTC, Johannes Berg
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-03-29 07:24 UTC, Johannes Berg
no flags Details
File: var_log_messages (309 bytes, text/plain)
2018-03-29 07:24 UTC, Johannes Berg
no flags Details

Description Johannes Berg 2018-03-29 07:24:26 UTC
Description of problem:
This happens all the time on my system, but I have no idea what's special about it.

Version-Release number of selected component:
fwupd-1.0.6-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/fwupd/fwupd
crash_function: fu_engine_plugins_coldplug
executable:     /usr/libexec/fwupd/fwupd
journald_cursor: s=f3aaf650ece540b0aceda2f9966a583a;i=3192d;b=4306b77718564e64ab60171e68a52ccb;m=2026e6534;t=5680577710015;x=eed495b29bc4e60e
kernel:         4.15.10-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 fu_engine_plugins_coldplug at ../src/fu-engine.c:2974
 #1 fu_engine_load at ../src/fu-engine.c:3545

Comment 1 Johannes Berg 2018-03-29 07:24:31 UTC
Created attachment 1414571 [details]
File: backtrace

Comment 2 Johannes Berg 2018-03-29 07:24:32 UTC
Created attachment 1414572 [details]
File: cgroup

Comment 3 Johannes Berg 2018-03-29 07:24:34 UTC
Created attachment 1414573 [details]
File: core_backtrace

Comment 4 Johannes Berg 2018-03-29 07:24:35 UTC
Created attachment 1414574 [details]
File: cpuinfo

Comment 5 Johannes Berg 2018-03-29 07:24:37 UTC
Created attachment 1414575 [details]
File: dso_list

Comment 6 Johannes Berg 2018-03-29 07:24:39 UTC
Created attachment 1414576 [details]
File: environ

Comment 7 Johannes Berg 2018-03-29 07:24:40 UTC
Created attachment 1414577 [details]
File: exploitable

Comment 8 Johannes Berg 2018-03-29 07:24:41 UTC
Created attachment 1414578 [details]
File: limits

Comment 9 Johannes Berg 2018-03-29 07:24:45 UTC
Created attachment 1414579 [details]
File: maps

Comment 10 Johannes Berg 2018-03-29 07:24:46 UTC
Created attachment 1414580 [details]
File: mountinfo

Comment 11 Johannes Berg 2018-03-29 07:24:48 UTC
Created attachment 1414581 [details]
File: open_fds

Comment 12 Johannes Berg 2018-03-29 07:24:49 UTC
Created attachment 1414582 [details]
File: proc_pid_status

Comment 13 Johannes Berg 2018-03-29 07:24:50 UTC
Created attachment 1414583 [details]
File: var_log_messages

Comment 14 Richard Hughes 2018-10-12 11:55:31 UTC
Does this happen on F28 or newer?

Comment 15 Johannes Berg 2018-10-12 11:59:09 UTC
(In reply to Richard Hughes from comment #14)
> Does this happen on F28 or newer?

Good question :-)

I haven't upgraded yet, mostly due to corporate stuff, but that stopped working on F27 too now so I guess I will soon.

Comment 16 Johannes Berg 2018-10-12 20:02:14 UTC
Ok, I bit the bullet and did the upgrade, and yes, this still happens on F28 with fwupd-1.0.9-1.fc28.

HOWEVER, I'm running kernel 4.13.9-300.fc27.x86_64, because the 4.18 that comes with F28 is unusable for me ... screens continually flicker and turn on/off with it.

Comment 17 Johannes Berg 2018-10-12 20:04:25 UTC
Looks like I was running kernel 4.15.10-300.fc27.x86_64 before ... oh well, haven't found that so far. Somewhere between there and now graphics got completely messed up for me, but that's a different story.

Comment 18 Johannes Berg 2018-10-12 20:15:01 UTC
Ok ... as an experiment, I installed 4.19.0-0.rc7.git4.1.fc30.x86_64. That actually fixes my display issues, and fwupd still segfaults.

Comment 19 Christian Stadelmann 2018-10-22 21:01:36 UTC
(In reply to Richard Hughes from comment #14)
> Does this happen on F28 or newer?

Yes, it does on Fedora 29, see bug #1632783.

Comment 20 Ben Cotton 2018-11-27 13:33:07 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 Fedora Update System 2018-12-30 15:56:31 UTC
fwupd-1.2.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-862c9c5502

Comment 22 Fedora Update System 2018-12-31 04:57:06 UTC
fwupd-1.2.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-862c9c5502

Comment 23 Fedora Update System 2019-01-04 13:09:07 UTC
fwupd-1.2.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a7990b5eee

Comment 24 Johannes Berg 2019-01-04 21:39:25 UTC
I'm currently still on F28, so I guess I can't install this?

Comment 25 Fedora Update System 2019-01-05 18:51:49 UTC
fwupd-1.2.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a7990b5eee

Comment 26 Fedora Update System 2019-01-08 02:40:52 UTC
fwupd-1.2.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.